window.onscroll = function () {
  if (!document.querySelector('.mobile-ham.show')) {
    scrollFunction();
  }
};

function scrollFunction() {
  if (document.body.scrollTop > 80 || document.documentElement.scrollTop > 80) {
    document.querySelector('.head').style.paddingTop = '0rem';
    document.querySelector('.head').style.paddingBottom = '0rem';
    document.querySelector('.head').style.backdropFilter = 'blur(5px)';
    document.querySelector('.head').style.backgroundColor = 'rgb(0 0 0 / 49%)';
    document.querySelector('.head').style.webkitBackdropFilter = 'blur(5px)';
    document.querySelector('.mobile-ham').style.top = '60px';
  } else {
    document.querySelector('.head').style.backgroundColor = 'transparent';
    document.querySelector('.head').style.backdropFilter = 'blur(0px)';
    document.querySelector('.head').style.paddingTop = '2rem';
    document.querySelector('.head').style.paddingBottom = '2rem';
    document.querySelector('.mobile-ham').style.top = '125px';
  }
}

function backChange() {
  document.querySelector('.head').style.backgroundColor = 'black';
}
function backChange2() {
  scrollFunction();
}

document.querySelector('.ham-btn').onclick = backChange;
document.querySelector('.ham-close').onclick = backChange2;

document.querySelector('.osm-cbin').onclick = showOrg;
document.querySelector('.ob-auto').onclick = showMenu1;
document.querySelector('.ob-re').onclick = showMenu2;
document.querySelector('.ob-is').onclick = showMenu3;
document.querySelector('.ob-f').onclick = showMenu4;
document.querySelector('.ob-s').onclick = showMenu5;
document.querySelector('.or-btn').onclick = hosShow;

function hosShow() {
  document.querySelector('.hos-drbtn').classList.toggle('hoshow');
  document.querySelector('.or-btn').classList.toggle('cbg');

  document.querySelector('.ob-autodf').classList.remove('obau-shown');
  document.querySelector('.ob-f').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.remove('obau-shown');
  document.querySelector('.ob-is').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.remove('obau-shown');
  document.querySelector('.ob-re').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.remove('obau-shown');
  document.querySelector('.ob-auto').classList.remove('cbg');

  document.querySelector('.ob-autods').classList.remove('obau-shown');
  document.querySelector('.ob-s').classList.remove('cbg');
}
function showMenu5() {
  document.querySelector('.ob-autodf').classList.remove('obau-shown');
  document.querySelector('.ob-f').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.remove('obau-shown');
  document.querySelector('.ob-is').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.remove('obau-shown');
  document.querySelector('.ob-re').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.remove('obau-shown');
  document.querySelector('.ob-auto').classList.remove('cbg');

  document.querySelector('.hos-drbtn').classList.remove('hoshow');
  document.querySelector('.or-btn').classList.remove('cbg');

  document.querySelector('.ob-autods').classList.toggle('obau-shown');
  document.querySelector('.ob-s').classList.toggle('cbg');
}

function showMenu4() {
  document.querySelector('.ob-autods').classList.remove('obau-shown');
  document.querySelector('.ob-s').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.remove('obau-shown');
  document.querySelector('.ob-is').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.remove('obau-shown');
  document.querySelector('.ob-re').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.remove('obau-shown');
  document.querySelector('.ob-auto').classList.remove('cbg');
  
  document.querySelector('.hos-drbtn').classList.remove('hoshow');
  document.querySelector('.or-btn').classList.remove('cbg');

  document.querySelector('.ob-autodf').classList.toggle('obau-shown');
  document.querySelector('.ob-f').classList.toggle('cbg');
}

function showMenu3() {
  document.querySelector('.ob-autods').classList.remove('obau-shown');
  document.querySelector('.ob-s').classList.remove('cbg');

  document.querySelector('.ob-autodf').classList.remove('obau-shown');
  document.querySelector('.ob-f').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.remove('obau-shown');
  document.querySelector('.ob-re').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.remove('obau-shown');
  document.querySelector('.ob-auto').classList.remove('cbg');

  document.querySelector('.hos-drbtn').classList.remove('hoshow');
  document.querySelector('.or-btn').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.toggle('obau-shown');
  document.querySelector('.ob-is').classList.toggle('cbg');
}

function showMenu2() {
  document.querySelector('.ob-autods').classList.remove('obau-shown');
  document.querySelector('.ob-s').classList.remove('cbg');

  document.querySelector('.ob-autodf').classList.remove('obau-shown');
  document.querySelector('.ob-f').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.remove('obau-shown');
  document.querySelector('.ob-is').classList.remove('cbg');

  document.querySelector('.hos-drbtn').classList.remove('hoshow');
  document.querySelector('.or-btn').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.remove('obau-shown');
  document.querySelector('.ob-auto').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.toggle('obau-shown');
  document.querySelector('.ob-re').classList.toggle('cbg');
}

function showMenu1() {
  document.querySelector('.ob-autods').classList.remove('obau-shown');
  document.querySelector('.ob-s').classList.remove('cbg');

  document.querySelector('.ob-autodf').classList.remove('obau-shown');
  document.querySelector('.ob-f').classList.remove('cbg');

  document.querySelector('.ob-autodis').classList.remove('obau-shown');
  document.querySelector('.ob-is').classList.remove('cbg');

  document.querySelector('.ob-autodre').classList.remove('obau-shown');
  document.querySelector('.ob-re').classList.remove('cbg');

  document.querySelector('.hos-drbtn').classList.remove('hoshow');
  document.querySelector('.or-btn').classList.remove('cbg');

  document.querySelector('.ob-autod').classList.toggle('obau-shown');
  document.querySelector('.ob-auto').classList.toggle('cbg');
}

function showOrg() {
  document.querySelector('.osmcb-drop').classList.toggle('osd-shown');
  document.querySelector('.osm-cb').classList.toggle('cb-bg');
}
